Get conversation flow
curl --request GET \
--url https://api.upon-ai.com/api/conversation-flows/{conversationFlowId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.upon-ai.com/api/conversation-flows/{conversationFlowId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upon-ai.com/api/conversation-flows/{conversationFlowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation_flow_id": "<string>",
"version": 123,
"start_speaker": "<string>",
"workspaceId": 123,
"global_prompt": "<string>",
"model_choice": {
"type": "<string>",
"model": "<string>"
},
"nodes": [
{
"id": "<string>",
"type": "<string>",
"instruction": {
"type": "<string>",
"text": "<string>"
},
"edges": [
{
"id": "<string>",
"transition_condition": {
"type": "<string>",
"prompt": "<string>"
},
"destination_node_id": "<string>"
}
]
}
]
}Conversation Flows
Get conversation flow
Retrieve the latest or a specific version of a conversation flow.
GET
/
api
/
conversation-flows
/
{conversationFlowId}
Get conversation flow
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Path Parameters
Conversation flow identifier.
Query Parameters
Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.
Specific version to retrieve or update.
Required range:
x >= 1⌘I